import { JIBESTREAM_STYLE_TYPE, MAP_CENTER_OPTIONS_TYPE, MAP_CENTER_USER_OPTIONS_TYPE, MAP_CREDENTIALS_TYPE, MAP_IMAGE_TYPE, MAP_OPTIONS_TYPE, MAP_ZOOM_BOUNDS_OPTIONS_TYPE, MAP_ZOOM_TO_PATH_OPTIONS_TYPE } from './JibestreamTypes';
import { COORDINATE_TYPE } from './CommandTypes';
export declare const createFragment: (viewId: number | null) => void;
export declare const centerMap: (viewId: number | null, options: MAP_CENTER_USER_OPTIONS_TYPE) => void;
export declare function getRandomInt(max: number): number;
export declare const setMapVenue: ({ viewId, credentials, mapOptions, }: {
    viewId: number | null;
    credentials: MAP_CREDENTIALS_TYPE;
    mapOptions?: MAP_OPTIONS_TYPE | undefined;
}) => void;
export declare const addMapIcon: (viewId: number | null, coordinates: number[], coordType: COORDINATE_TYPE, icon: MAP_IMAGE_TYPE) => void;
export declare const centerMapOnPoint: (viewId: number | null, options: MAP_CENTER_OPTIONS_TYPE) => void;
export declare const setMapViewBounds: (viewId: number | null, options: MAP_ZOOM_BOUNDS_OPTIONS_TYPE) => void;
export declare const setMapViewToPath: (viewId: number | null, options: MAP_ZOOM_TO_PATH_OPTIONS_TYPE) => void;
export declare const setFollowBlueDot: (viewId: number | null, enabled: boolean, rotate?: boolean, interval?: number) => void;
export declare const setUserPosition: (viewId: number | null, x: number, y: number, heading: number, confidence: number, format: string | null) => void;
export declare const clearWayfindingPath: (viewId: number | null) => void;
export declare const wayfindToWaypoint: (viewId: number | null, waypointId: number) => void;
export declare const wayfindBetweenWaypoints: (viewId: number | null, originId: number, destinationId: number) => void;
export declare const drawNavigationPath: (viewId: number | null, pathId: string, shouldFocus: boolean, style: JIBESTREAM_STYLE_TYPE, originIconUrl?: MAP_IMAGE_TYPE, destinationIconUrl?: MAP_IMAGE_TYPE) => void;
export declare const styleUnitsForDestination: (viewId: number | null, destination: number, style?: JIBESTREAM_STYLE_TYPE) => void;
export declare const styleShape: (viewId: number | null, id: number, style: JIBESTREAM_STYLE_TYPE) => void;
//# sourceMappingURL=SendCommand.d.ts.map