import { JIBESTREAM_LR_COORDINATES_TYPE, JIBESTREAM_BUILDING_TYPE, JIBESTREAM_DESTINATION_TYPE, JIBESTREAM_AMENITY_TYPE, JIBESTREAM_PATH_API_TYPE, JIBESTREAM_MAP_LABEL_TYPE } from 'src/JibestreamTypes';
export interface JIBESTREAM_VENUE_PROPERTIES {
    id: number;
    defaultMapTemplateId: string;
    customerId: number;
    name: string;
    coordinates: JIBESTREAM_LR_COORDINATES_TYPE;
    extensors: Object;
    buildings: {
        items: JIBESTREAM_BUILDING_TYPE[];
    };
    destinations: {
        items: JIBESTREAM_DESTINATION_TYPE[];
    };
    amenities: {
        items: JIBESTREAM_AMENITY_TYPE[];
    };
    pathTypes: {
        items: JIBESTREAM_PATH_API_TYPE[];
    };
    mapLabels: {
        items: JIBESTREAM_MAP_LABEL_TYPE[];
    };
    generatedAt: number;
    labelType: number;
    clustering: boolean;
    autoPublish: boolean;
}
//# sourceMappingURL=ApiTypes.d.ts.map