import React from 'react';
import { DimensionValue } from 'react-native';
import type { MAP_EVENT_LISTENER_TYPE, MAP_SIMULATION_REFERENCE_TYPE, MAP_VIEW_REFERENCE_TYPE } from './CommandTypes';
import type { MAP_CREDENTIALS_TYPE, MAP_OPTIONS_TYPE } from './JibestreamTypes';
export interface MapViewProps {
    credentials: MAP_CREDENTIALS_TYPE;
    mapOptions?: MAP_OPTIONS_TYPE;
    style: {
        height: number;
        width: number;
        visible: boolean;
    };
    compassStyle?: {
        size: number;
        right: DimensionValue;
        top: DimensionValue;
    };
    onMapMessage: MAP_EVENT_LISTENER_TYPE;
}
declare const mapViewFwRef: React.ForwardRefExoticComponent<MapViewProps & React.RefAttributes<MAP_VIEW_REFERENCE_TYPE & MAP_SIMULATION_REFERENCE_TYPE>>;
export default mapViewFwRef;
//# sourceMappingURL=MapView.d.ts.map